/* $Header$
 *
 * alarmingdns.h - versions of DNS routines with timeouts.  Actually,
 * it's really only the host ones that in practice can hang,
 * but once you start doing this stuff it's hard to stop.
 */

#ifndef _ALARMINGDNS_H
#define _ALARMINGDNS_H
struct protoent *alarmgetprotobyname(const char *name, int timeout);
struct protoent *alarmgetprotobynumber(int protno, int timeout);
struct hostent *alarmgethostbyname(char *name, int timeout);
struct hostent *alarmgethostbyaddr(char *addr, int addrsize,
	int family, int timeout);
struct servent *alarmgetservbyname(const char *name, const char *protoname,
	int timeout);
struct servent *alarmgetservbyport(int port, const char *protoname,
	int timeout);
#endif
